package com.caimei365.tools.task;

import com.caimei365.tools.service.CmOrganValueSystemService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Slf4j
@Configuration
@EnableScheduling
@RequiredArgsConstructor
public class CmOrganValueSystemTask {

    @Resource private CmOrganValueSystemService cmOrganValueSystemService;

    /**
     * 每月一号更新用户活跃状态、用户价值
     */
    @Scheduled(cron = "0 15 0 1 * ?")
    public void organData(){
        cmOrganValueSystemService.insertOrgan();
    }
}
